## bogl 0.1.18-17ubuntu4+11.0trisquel0

=== Makefile ===
LIBS = -lc
LIB = libbogl.a
DEVLINK = libbogl.so
SONAME = libbogl.so.0
SHARED_LIB = libbogl.so.0.1

CFLAGS ?= -O2 -g
WARNCFLAGS += -Wall -D_GNU_SOURCE
ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS) $(CPPFLAGS)

architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
os := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

LIBOBJECTS = $(LIBBOGLOBJECTS) $(LIBBOMLOBJECTS) $(LIBBOWLOBJECTS)	\
	$(LIBRSRCOBJECTS)
LIBBOGLOBJECTS = bogl.o bogl-font.o
LIBBOMLOBJECTS = arrow.o boml.o
LIBBOWLOBJECTS = bowl.o symbol.o
LIBRSRCOBJECTS = helvB10.o helvB12.o helvR10.o timBI18.o tux75.o

SOURCES_DEP = arrow.c bdftobogl.c bogl-cfb.c bogl-cfb.h bogl-cfb8.c	\
bogl-cfb8.h bogl-font.c bogl-font.h \
bogl-test.c bogl.h boglP.h boml.c	\
boml.h bowl.c bowl.h pngtobogl.c

ifeq ($(os),linux)
	SOURCES_DEP += bogl-pcfb.c bogl-pcfb.h bogl-tcfb.c bogl-tcfb.h bowl-boxes.c bogl.c

ifeq (,)
	FBCFLAGS += -DBOGL_CFB_FB=1
	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
endif

ifneq (,$(filter i386 ia64 amd64,$(architecture)))
	FBCFLAGS += -DBOGL_VGA16_FB=1
	LIBBOGLOBJECTS += bogl-vga16.o
	SOURCES_DEP += bogl-vga16.c bogl-vga16.h
endif
endif

OBJECTS = $(LIBOBJECTS) bowl-boxes.o

GENERATED = helvB10.c helvB12.c helvR10.c timBI18.c tux75.c

#		 libutf8/libutf8_plug.so unifont-reduced.bgf
all:    depend
ifeq ($(os),linux)
all: $(SHARED_LIB) $(LIB) bterm bdftobogl pngtobogl
endif
all: reduce-font

%.lo: %.c
	$(CC) $(ALLCFLAGS) -o $@ -fPIC -c $<

%.o: %.c
	$(CC) $(ALLCFLAGS) -o $@ -c $<

$(SHARED_LIB): $(OBJECTS:%.o=%.lo)
	$(CC) -shared -Wl,-soname,$(SONAME) -o $(SHARED_LIB) $(OBJECTS:%.o=%.lo) $(LDFLAGS)

# unifont-reduced.bgf: bdftobogl unifont-reduced.bdf
#	./bdftobogl -b unifont-reduced.bdf > unifont-reduced.bgf

# unifont-reduced.bdf: ../bf-utf/unifont.bdf ../all.utf libutf8/libutf8_plug.so reduce-font
#	LD_PRELOAD=./libutf8/libutf8_plug.so LC_CTYPE=C.UTF-8 ./reduce-font $< < ../all.utf > $@

# ../all.utf: ../po.utf ../rn.utf $(xml_files)
#	cat $^ > $@

# ../po.utf:
#	$(MAKE) -C ../dbootstrap/po all-po-utf
#	cat ../dbootstrap/po/utf/*.po > $@

# ../rn.utf:
#	$(MAKE) RN_TARGET_DIR=. -C ../../scripts/rootdisk/messages install-utf
#	cat ../../scripts/rootdisk/messages/release_notes.* > $@

reduce-font: reduce-font.c

$(LIB): $(OBJECTS)
	rm -f $(LIB)
	ar rcs $(LIB) $(OBJECTS)

bogl-test: $(LIB) bogl-test.c tux75.o
	$(CC) $(ALLCFLAGS) -o bogl-test bogl-test.c tux75.o $(LIB) $(LDFLAGS)

bowl-boxes: $(LIB)
	$(CC) -DSTANDALONE_TEST $(ALLCFLAGS) bowl-boxes.c $(LIBOBJECTS) -o bowl-boxes $(LDFLAGS)

bterm: $(LIB) bterm.o bogl-term.o bogl-bgf.o
	$(CC) $+ $(LIB) -o bterm $(LDFLAGS)

bdftobogl: $(LIBBOGLOBJECTS)
%.c: %.bdf bdftobogl
	./bdftobogl $< > $@

pngtobogl: pngtobogl.o
	$(CC) $(ALLCFLAGS) -o pngtobogl pngtobogl.o -lgd $(LDFLAGS)
%.c: %.png pngtobogl
	./pngtobogl $< > $@

depend: .depend
.depend: $(SOURCES_DEP)
	$(CPP) $(ALLCFLAGS) -M $(SOURCES_DEP) > .depend

clean: 
	rm -rf reduce-font bterm bdftobogl pngtobogl *.o $(GENERATED) *-test lang.h tmp.*.c bowl-boxes $(LIB) unifont-reduced.bgf unifont-reduced.bdf
	rm -f $(OBJECTS:%.o=%.lo) $(SHARED_LIB)
	rm -f .depend

distclean: clean
	rm -f $(LIB) .depend *~ .nfs*

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif

install: all
	install -d $(DESTDIR)/usr/bin
ifeq ($(os),linux)
	install -d $(DESTDIR)/usr/lib $(DESTDIR)/usr/include/bogl
	install -m644 $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SHARED_LIB)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(DEVLINK)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SONAME)
	install -m644 $(LIB) $(DESTDIR)/usr/lib/$(LIB)
	install -m644 *.h $(DESTDIR)/usr/include/bogl
	install -m755 bdftobogl bterm pngtobogl $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/terminfo
	tic -o$(DESTDIR)/usr/share/terminfo bterm.ti
endif
	install -m755 mergebdf reduce-font $(DESTDIR)/usr/bin

=== .pc/flags/Makefile ===
LIBS = -lc
LIB = libbogl.a
DEVLINK = libbogl.so
SONAME = libbogl.so.0
SHARED_LIB = libbogl.so.0.1

CFLAGS = -O2 -g -D_GNU_SOURCE
WARNCFLAGS += -Wall -D_GNU_SOURCE
ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)

architecture := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
os := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

LIBOBJECTS = $(LIBBOGLOBJECTS) $(LIBBOMLOBJECTS) $(LIBBOWLOBJECTS)	\
	$(LIBRSRCOBJECTS)
LIBBOGLOBJECTS = bogl.o bogl-font.o
LIBBOMLOBJECTS = arrow.o boml.o
LIBBOWLOBJECTS = bowl.o symbol.o
LIBRSRCOBJECTS = helvB10.o helvB12.o helvR10.o timBI18.o tux75.o

SOURCES_DEP = arrow.c bdftobogl.c bogl-cfb.c bogl-cfb.h bogl-cfb8.c	\
bogl-cfb8.h bogl-font.c bogl-font.h \
bogl-test.c bogl.h boglP.h boml.c	\
boml.h bowl.c bowl.h pngtobogl.c

ifeq ($(os),linux)
	SOURCES_DEP += bogl-pcfb.c bogl-pcfb.h bogl-tcfb.c bogl-tcfb.h bowl-boxes.c bogl.c

ifeq (,)
	FBCFLAGS += -DBOGL_CFB_FB=1
	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
endif

ifneq (,$(filter i386 ia64 amd64,$(architecture)))
	FBCFLAGS += -DBOGL_VGA16_FB=1
	LIBBOGLOBJECTS += bogl-vga16.o
	SOURCES_DEP += bogl-vga16.c bogl-vga16.h
endif
endif

OBJECTS = $(LIBOBJECTS) bowl-boxes.o

GENERATED = helvB10.c helvB12.c helvR10.c timBI18.c tux75.c

#		 libutf8/libutf8_plug.so unifont-reduced.bgf
all:    depend
ifeq ($(os),linux)
all: $(SHARED_LIB) $(LIB) bterm bdftobogl pngtobogl
endif
all: reduce-font

%.lo: %.c
	$(CC) $(ALLCFLAGS) -o $@ -fPIC -c $<

%.o: %.c
	$(CC) $(ALLCFLAGS) -o $@ -c $<

$(SHARED_LIB): $(OBJECTS:%.o=%.lo)
	$(CC) -shared -Wl,-soname,$(SONAME) -o $(SHARED_LIB) $(OBJECTS:%.o=%.lo)

# unifont-reduced.bgf: bdftobogl unifont-reduced.bdf
#	./bdftobogl -b unifont-reduced.bdf > unifont-reduced.bgf

# unifont-reduced.bdf: ../bf-utf/unifont.bdf ../all.utf libutf8/libutf8_plug.so reduce-font
#	LD_PRELOAD=./libutf8/libutf8_plug.so LC_CTYPE=C.UTF-8 ./reduce-font $< < ../all.utf > $@

# ../all.utf: ../po.utf ../rn.utf $(xml_files)
#	cat $^ > $@

# ../po.utf:
#	$(MAKE) -C ../dbootstrap/po all-po-utf
#	cat ../dbootstrap/po/utf/*.po > $@

# ../rn.utf:
#	$(MAKE) RN_TARGET_DIR=. -C ../../scripts/rootdisk/messages install-utf
#	cat ../../scripts/rootdisk/messages/release_notes.* > $@

reduce-font: reduce-font.c

$(LIB): $(OBJECTS)
	rm -f $(LIB)
	ar rcs $(LIB) $(OBJECTS)

bogl-test: $(LIB) bogl-test.c tux75.o
	$(CC) $(ALLCFLAGS) -o bogl-test bogl-test.c tux75.o $(LIB)

bowl-boxes: $(LIB)
	$(CC) -DSTANDALONE_TEST $(ALLCFLAGS) bowl-boxes.c $(LIBOBJECTS) -o bowl-boxes

bterm: $(LIB) bterm.o bogl-term.o bogl-bgf.o
	$(CC) $+ $(LIB) -o bterm

bdftobogl: $(LIBBOGLOBJECTS)
%.c: %.bdf bdftobogl
	./bdftobogl $< > $@

pngtobogl: pngtobogl.o
	$(CC) $(ALLCFLAGS) -o pngtobogl pngtobogl.o -lgd
%.c: %.png pngtobogl
	./pngtobogl $< > $@

depend: .depend
.depend: $(SOURCES_DEP)
	$(CPP) $(ALLCFLAGS) -M $(SOURCES_DEP) > .depend

clean: 
	rm -rf reduce-font bterm bdftobogl pngtobogl *.o $(GENERATED) *-test lang.h tmp.*.c bowl-boxes $(LIB) unifont-reduced.bgf unifont-reduced.bdf
	rm -f $(OBJECTS:%.o=%.lo) $(SHARED_LIB)
	rm -f .depend

distclean: clean
	rm -f $(LIB) .depend *~ .nfs*

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif

install: all
	install -d $(DESTDIR)/usr/bin
ifeq ($(os),linux)
	install -d $(DESTDIR)/usr/lib $(DESTDIR)/usr/include/bogl
	install -m644 $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SHARED_LIB)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(DEVLINK)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SONAME)
	install -m644 $(LIB) $(DESTDIR)/usr/lib/$(LIB)
	install -m644 *.h $(DESTDIR)/usr/include/bogl
	install -m755 bdftobogl bterm pngtobogl $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/terminfo
	tic -o$(DESTDIR)/usr/share/terminfo bterm.ti
endif
	install -m755 mergebdf reduce-font $(DESTDIR)/usr/bin

=== debian/changelog ===
bogl (0.1.18-17ubuntu4+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 05:31:33 +0000

bogl (0.1.18-17ubuntu4) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:44:14 +0100

bogl (0.1.18-17ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:39 +0200

bogl (0.1.18-17ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:10 +0100

bogl (0.1.18-17ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
    - Update .orig.tar.gz by recompressing Debian's with bzip2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 18:06:11 -0800

bogl (0.1.18-16ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
    - Update .orig.tar.gz by recompressing Debian's with bzip2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Nov 2020 08:46:44 -0800

bogl (0.1.18-15ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
    - Update .orig.tar.gz by recompressing Debian's with bzip2.
  * Dropped changes, included in Debian:
    - debian/patches/makefile: Use DEB_HOST vars consistently, rather than
      incorrectly using DEB_BUILD and uname to guess what we're building.
    - debian/patches/makefile: Don't build vga16 on arm, due to glibc 2.30.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 13:42:04 -0700

bogl (0.1.18-13ubuntu2) eoan; urgency=medium

  * debian/patches/makefile: Use DEB_HOST vars consistently, rather than
    incorrectly using DEB_BUILD and uname to guess what we're building.
  * debian/patches/makefile: Don't build vga16 on arm, due to glibc 2.30.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Sep 2019 04:10:28 -0600

bogl (0.1.18-13ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
    - Update .orig.tar.gz by recompressing Debian's with bzip2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 16:06:13 -0700

bogl (0.1.18-12ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
  * Update .orig.tar.gz by recompressing Debian's with bzip2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Oct 2017 15:19:52 +0200

bogl (0.1.18-11ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian; remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
    - Non-matching .orig.tar.gz.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Aug 2016 13:47:07 +0200

bogl (0.1.18-9ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
    - Non-matching .orig.tar.gz.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jun 2013 10:48:59 +0100

bogl (0.1.18-8ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 May 2013 23:46:01 +0100

bogl (0.1.18-8ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Update the hardcoded color map to the color palette selected by the
      Canonical design team.
  * The .orig.tar.gz differs from Debian because 0.1.18-4ubuntu1 incorrectly
    included an .orig.tar.gz.  Unfortunately there's nothing we can do to
    fix this mistake until the upstream version number changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2012 15:44:31 +0100

bogl (0.1.18-4ubuntu1) natty; urgency=low

  * bterm.c:
    - update the hardcoded color map to the color palette selected by
      the Canonical Design Team, LP: #730672;
    - ideally, bterm.c would read these from the configuration file,
      /etc/vtrgb

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 17 Mar 2011 15:02:28 -0500

=== debian/control ===
Source: bogl
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), dh-exec, libgd-dev, ncurses-term (>= 5.9-7)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/bogl
Vcs-Git: https://salsa.debian.org/debian/bogl.git

Package: libbogl-dev
Section: libdevel
Architecture: any
Depends: libbogl0 (= ${binary:Version}) [linux-any], libc6-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - development files
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL include files, static library,
 and development documentation.

Package: libbogl0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - shared library
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the shared library version of BOGL.

Package: bogl-bterm
Section: utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-term (>= 5.9-7)
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal.

Package: bogl-bterm-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal,
 for use in debian-installer.
